Skip to main content
POST
/
v1
/
bridges
/
unmute
/
stt
/
{model_variant}
Unmute STT Bridge
curl --request POST \
  --url https://api.slng.ai/v1/bridges/unmute/stt/{model_variant} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form audio='@example-file' \
  --form 'language=<string>' \
  --form sample_rate=8000 \
  --form encoding=linear16 \
  --form enable_vad=true \
  --form enable_partials=true
{
  "type": "transcription",
  "is_final": true,
  "alternatives": [
    {
      "confidence": 123,
      "transcript": "<string>"
    }
  ],
  "channel": 123,
  "language": "<string>"
}

Authorizations

Authorization
string
header
required

API key issued by SLNG. Pass as Authorization: Bearer <token>.

Path Parameters

model_variant
enum<string>
required

Target STT model. Must support WebSocket streaming with final_transcript.

Available options:
deepgram/nova:2,
deepgram/nova:3,
deepgram/nova:3-medical,
slng/deepgram/nova:3-en,
slng/deepgram/nova:3-es,
slng/deepgram/nova:3-hi,
slng/deepgram/nova:3-multi,
slng/openai/whisper:large-v3,
slng/openai/whisper:large-v3-compressed

Body

multipart/form-data

Unmute STT request.

audio
file
required

Audio file to transcribe.

language
string

Language code for recognition.

sample_rate
enum<integer>

Audio sample rate in Hz.

Available options:
8000,
16000,
22050,
24000,
32000,
48000
encoding
enum<string>

Audio encoding format.

Available options:
linear16,
mp3,
opus
enable_vad
boolean

Enable voice activity detection.

enable_partials
boolean

Enable partial transcription results.

Response

Transcription successful.

Cognigy STT transcription response.

type
enum<string>
required

Response type.

Available options:
transcription
is_final
boolean
required

Whether this is a final transcription.

alternatives
object[]
required

Transcription alternatives.

channel
integer

Audio channel number.

language
string

Detected language code.